Vim Tips Wiki


1,616pages on
this wiki

Use this page to discuss script 1953 vimpress: manage wordpress blog posts from Vim

  • Add constructive comments, bug reports, or discuss improvements (see the guideline).
  • Do not document the script here (the author should do that on
  • This page may be out of date: check the script's page above, and its release notes.


Vimpress allows you to publish and edit posts on your wordpress blog using Vim. Requires Vim 7 or higher and Python 2.7.


For those who are new on wordpress enabled xml-rpc is required (wordpress site: writing settings) otherwise you get default (undetailed) error if you try use any vimpress command.

Around Wikia's network

Random Wiki